VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtex5"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL DAT_I(31:0)
        SIGNAL TGD_I(3:0)
        SIGNAL DAT_O(31:0)
        SIGNAL TGD_O(3:0)
        SIGNAL ADR_I(15:0)
        SIGNAL CYC_I
        SIGNAL TGC_I(1:0)
        SIGNAL STB_I
        SIGNAL ACK_O
        SIGNAL ERR_O
        SIGNAL RTY_O
        SIGNAL WE_I
        SIGNAL RST_I
        SIGNAL CLK_I
        SIGNAL StrExpVector(15:0)
        SIGNAL StrExpStb
        SIGNAL SysClk
        SIGNAL Reset
        SIGNAL Busy
        SIGNAL ErrAck
        SIGNAL WrtAck
        SIGNAL WriteEnable
        SIGNAL Address(15:0)
        SIGNAL DataIn(31:0)
        SIGNAL DataOut(31:0)
        SIGNAL StatusIn(31:0)
        SIGNAL StatusOut(7:0)
        SIGNAL DMYIO_0
        SIGNAL DMYIO_1
        SIGNAL DMYIO_2
        PORT Input DAT_I(31:0)
        PORT Input TGD_I(3:0)
        PORT Output DAT_O(31:0)
        PORT Output TGD_O(3:0)
        PORT Input ADR_I(15:0)
        PORT Input CYC_I
        PORT Input TGC_I(1:0)
        PORT Input STB_I
        PORT Output ACK_O
        PORT Output ERR_O
        PORT Output RTY_O
        PORT Input WE_I
        PORT Input RST_I
        PORT Input CLK_I
        PORT Output DMYIO_0
        PORT Output DMYIO_1
        PORT Output DMYIO_2
        BEGIN BLOCKDEF WbSlaveInterface_Ver207a
            TIMESTAMP 2011 5 31 16 47 57
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -76 64 -52 
            LINE N 0 -64 64 -64 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -140 64 -116 
            LINE N 0 -128 64 -128 
            RECTANGLE N 0 -172 64 -148 
            LINE N 0 -160 64 -160 
            LINE N 0 -192 64 -192 
            LINE N 64 -224 0 -224 
            LINE N 64 -256 0 -256 
            LINE N 64 -288 0 -288 
            LINE N 0 -320 64 -320 
            LINE N 0 -352 64 -352 
            LINE N 608 -64 544 -64 
            LINE N 608 -96 544 -96 
            LINE N 544 -128 608 -128 
            LINE N 544 -160 608 -160 
            LINE N 544 -192 608 -192 
            LINE N 608 -224 544 -224 
            RECTANGLE N 544 -268 608 -244 
            LINE N 608 -256 544 -256 
            LINE N 608 -288 544 -288 
            RECTANGLE N 544 -332 608 -308 
            LINE N 608 -320 544 -320 
            RECTANGLE N 544 -396 608 -372 
            LINE N 544 -384 608 -384 
            RECTANGLE N 544 -460 608 -436 
            LINE N 608 -448 544 -448 
            RECTANGLE N 544 -364 608 -340 
            LINE N 608 -352 544 -352 
            LINE N 544 -32 608 -32 
            RECTANGLE N 544 -428 608 -404 
            LINE N 608 -416 544 -416 
            RECTANGLE N 64 -480 544 0 
            LINE N 0 -416 64 -416 
            RECTANGLE N 0 -428 64 -404 
            LINE N 0 -384 64 -384 
        END BLOCKDEF
        BEGIN BLOCKDEF Dummy_RegisterControl_Ver220
            TIMESTAMP 2012 3 5 16 15 7
            RECTANGLE N 544 -428 608 -404 
            LINE N 608 -416 544 -416 
            LINE N 608 -384 544 -384 
            RECTANGLE N 544 -44 608 -20 
            LINE N 608 -32 544 -32 
            LINE N 608 -352 544 -352 
            LINE N 608 -320 544 -320 
            LINE N 544 -288 608 -288 
            LINE N 544 -256 608 -256 
            LINE N 544 -224 608 -224 
            RECTANGLE N 544 -172 608 -148 
            LINE N 608 -160 544 -160 
            RECTANGLE N 544 -140 608 -116 
            LINE N 608 -128 544 -128 
            RECTANGLE N 544 -108 608 -84 
            LINE N 544 -96 608 -96 
            LINE N 608 -192 544 -192 
            RECTANGLE N 544 -76 608 -52 
            LINE N 608 -64 544 -64 
            RECTANGLE N 64 -448 544 0 
            LINE N 0 -352 64 -352 
            LINE N 0 -288 64 -288 
            LINE N 0 -224 64 -224 
        END BLOCKDEF
        BEGIN BLOCK DMY_WbSlaveIfc WbSlaveInterface_Ver207a
            PIN CLK_I CLK_I
            PIN CYC_I CYC_I
            PIN RST_I RST_I
            PIN STB_I STB_I
            PIN WE_I WE_I
            PIN WrtAck WrtAck
            PIN ErrorAck ErrAck
            PIN Busy Busy
            PIN ADR_I(15:0) ADR_I(15:0)
            PIN DAT_I(31:0) DAT_I(31:0)
            PIN TGC_I(1:0) TGC_I(1:0)
            PIN TGD_I(3:0) TGD_I(3:0)
            PIN DataIn(31:0) DataOut(31:0)
            PIN StatusIn(7:0) StatusOut(7:0)
            PIN ACK_O ACK_O
            PIN ERR_O ERR_O
            PIN RTY_O RTY_O
            PIN SysClk SysClk
            PIN Reset Reset
            PIN WriteEnable WriteEnable
            PIN StartExpStb StrExpStb
            PIN DAT_O(31:0) DAT_O(31:0)
            PIN TGD_O(3:0) TGD_O(3:0)
            PIN DataOut(31:0) DataIn(31:0)
            PIN Address(15:0) Address(15:0)
            PIN StatusOut(31:0) StatusIn(31:0)
            PIN StartExpVector(15:0) StrExpVector(15:0)
        END BLOCK
        BEGIN BLOCK DMY_RegisterControl Dummy_RegisterControl_Ver220
            PIN WbSysClk SysClk
            PIN WbReset Reset
            PIN WbWriteEnable WriteEnable
            PIN StartExpStb_i StrExpStb
            PIN WbAddress(15:0) Address(15:0)
            PIN WbDataIn(31:0) DataIn(31:0)
            PIN WbStatIn(31:0) StatusIn(31:0)
            PIN StartExpVector_i(15:0) StrExpVector(15:0)
            PIN WbWrtAck WrtAck
            PIN WbErrAck ErrAck
            PIN WbBusy Busy
            PIN WbDataOut(31:0) DataOut(31:0)
            PIN WbStatOut(7:0) StatusOut(7:0)
            PIN DummyIo0_o DMYIO_0
            PIN DummyIo1_o DMYIO_1
            PIN DummyIo2_o DMYIO_2
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH DAT_I(31:0)
            WIRE 2400 1184 2608 1184
        END BRANCH
        BEGIN BRANCH TGD_I(3:0)
            WIRE 2400 1216 2608 1216
        END BRANCH
        BEGIN BRANCH DAT_O(31:0)
            WIRE 2400 1248 2608 1248
        END BRANCH
        BEGIN BRANCH TGD_O(3:0)
            WIRE 2400 1280 2608 1280
        END BRANCH
        BEGIN BRANCH ADR_I(15:0)
            WIRE 2400 1312 2608 1312
        END BRANCH
        BEGIN BRANCH CYC_I
            WIRE 2400 1344 2608 1344
        END BRANCH
        BEGIN BRANCH TGC_I(1:0)
            WIRE 2400 1376 2608 1376
        END BRANCH
        BEGIN BRANCH STB_I
            WIRE 2400 1408 2608 1408
        END BRANCH
        BEGIN BRANCH ACK_O
            WIRE 2400 1440 2608 1440
        END BRANCH
        BEGIN BRANCH ERR_O
            WIRE 2400 1472 2608 1472
        END BRANCH
        BEGIN BRANCH RTY_O
            WIRE 2400 1504 2608 1504
        END BRANCH
        BEGIN BRANCH WE_I
            WIRE 2400 1536 2608 1536
        END BRANCH
        BEGIN BRANCH RST_I
            WIRE 2400 1568 2608 1568
        END BRANCH
        BEGIN BRANCH CLK_I
            WIRE 2400 1600 2608 1600
        END BRANCH
        IOMARKER 2608 1184 DAT_I(31:0) R0 28
        IOMARKER 2608 1216 TGD_I(3:0) R0 28
        IOMARKER 2608 1248 DAT_O(31:0) R0 28
        IOMARKER 2608 1280 TGD_O(3:0) R0 28
        IOMARKER 2608 1312 ADR_I(15:0) R0 28
        IOMARKER 2608 1344 CYC_I R0 28
        IOMARKER 2608 1376 TGC_I(1:0) R0 28
        IOMARKER 2608 1408 STB_I R0 28
        IOMARKER 2608 1440 ACK_O R0 28
        IOMARKER 2608 1472 ERR_O R0 28
        IOMARKER 2608 1504 RTY_O R0 28
        IOMARKER 2608 1536 WE_I R0 28
        IOMARKER 2608 1568 RST_I R0 28
        IOMARKER 2608 1600 CLK_I R0 28
        BEGIN BRANCH StrExpVector(15:0)
            WIRE 1472 1216 1616 1216
            WIRE 1616 1216 1792 1216
            BEGIN DISPLAY 1616 1216 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH StrExpStb
            WIRE 1472 1248 1632 1248
            WIRE 1632 1248 1792 1248
            BEGIN DISPLAY 1632 1248 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SysClk
            WIRE 1472 1280 1632 1280
            WIRE 1632 1280 1792 1280
            BEGIN DISPLAY 1632 1280 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Reset
            WIRE 1472 1312 1632 1312
            WIRE 1632 1312 1792 1312
            BEGIN DISPLAY 1632 1312 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Busy
            WIRE 1472 1344 1632 1344
            WIRE 1632 1344 1792 1344
            BEGIN DISPLAY 1632 1344 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ErrAck
            WIRE 1472 1376 1632 1376
            WIRE 1632 1376 1792 1376
            BEGIN DISPLAY 1632 1376 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WrtAck
            WIRE 1472 1408 1632 1408
            WIRE 1632 1408 1792 1408
            BEGIN DISPLAY 1632 1408 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WriteEnable
            WIRE 1472 1440 1632 1440
            WIRE 1632 1440 1792 1440
            BEGIN DISPLAY 1632 1440 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Address(15:0)
            WIRE 1472 1472 1632 1472
            WIRE 1632 1472 1792 1472
            BEGIN DISPLAY 1632 1472 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DataIn(31:0)
            WIRE 1472 1504 1632 1504
            WIRE 1632 1504 1792 1504
            BEGIN DISPLAY 1632 1504 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DataOut(31:0)
            WIRE 1472 1536 1632 1536
            WIRE 1632 1536 1792 1536
            BEGIN DISPLAY 1632 1536 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH StatusIn(31:0)
            WIRE 1472 1568 1632 1568
            WIRE 1632 1568 1792 1568
            BEGIN DISPLAY 1632 1568 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH StatusOut(7:0)
            WIRE 1472 1600 1632 1600
            WIRE 1632 1600 1792 1600
            BEGIN DISPLAY 1632 1600 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DMYIO_0
            WIRE 672 1280 864 1280
        END BRANCH
        BEGIN BRANCH DMYIO_1
            WIRE 672 1344 864 1344
        END BRANCH
        BEGIN BRANCH DMYIO_2
            WIRE 672 1408 864 1408
        END BRANCH
        IOMARKER 672 1280 DMYIO_0 R180 28
        IOMARKER 672 1344 DMYIO_1 R180 28
        IOMARKER 672 1408 DMYIO_2 R180 28
        BEGIN INSTANCE DMY_WbSlaveIfc 1792 1632 R0
        END INSTANCE
        BEGIN INSTANCE DMY_RegisterControl 864 1632 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
